package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 订单最大公出表(OrderYearMaxDuration)实体类
 *
 * @author makejava
 * @since 2024-07-04 16:41:14
 */
public class OrderYearMaxDuration implements Serializable {
    private static final long serialVersionUID = -31870521635051598L;

    private Integer id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 年份
     */
    private Integer year;
    /**
     * 状态 0=限制，1=不限制
     */
    private Integer status;
    /**
     * 最大公出时间
     */
    private BigDecimal maxDuration;
    /**
     * 发起时间
     */
    private Date createTime;

    public OrderYearMaxDuration(String orderNo, Integer year) {
        this.orderNo = orderNo;
        this.year = year;
    }

    public OrderYearMaxDuration() {
    }

    public OrderYearMaxDuration(String orderNo, Integer year, Integer status, BigDecimal maxDuration) {
        this.orderNo = orderNo;
        this.year = year;
        this.status = status;
        this.maxDuration = maxDuration;
    }

    public OrderYearMaxDuration(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getMaxDuration() {
        return maxDuration;
    }

    public void setMaxDuration(BigDecimal maxDuration) {
        this.maxDuration = maxDuration;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

